Page MenuHomePhabricator

User history: Adapt the user history reconstruction to use scaling by clustering
Closed, ResolvedPublic13 Story Points

Description

To scale the execution of the user reconstruction algorithm we have to split the input.
The most optimal split is Joseph's connected graphs algorithm, that he tested with the page history.
We should adapt the user history code to follow the same structure.

For this, it's good that the code be transformed to purely functional.
And in the end also, we might want to factor out the part of the code that computed the connected components,
so that it can be reused in both page and user history.

Event Timeline

mforns created this task.Aug 1 2016, 3:23 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 1 2016, 3:23 PM
mforns moved this task from Next Up to In Progress on the Analytics-Kanban board.Aug 1 2016, 3:23 PM
Nuria added a comment.Aug 1 2016, 3:25 PM

I think this task might be a duplicate , adding it to main wikistats 2.0 task

Milimetric triaged this task as Normal priority.Aug 8 2016, 4:52 PM
Nuria added a comment.Aug 11 2016, 4:06 PM

This task was about parallelization strategy, which worked, but code is not final.

Following up will be done on a different task.

Nuria set the point value for this task to 8.Aug 11 2016, 4:06 PM
Nuria moved this task from In Code Review to Done on the Analytics-Kanban board.
Nuria changed the point value for this task from 8 to 13.
Nuria closed this task as Resolved.Aug 15 2016, 3:07 PM